# $Revision: 1.9 $, $Date: 2009/07/20 15:29:07 $
#
Summary:	iSight Firmware Tools
Name:		isight-firmware-tools
Version:	1.4.2
Release:	1
License:	GPLv2+
Group:		Applications
Source0:	http://launchpad.net/isight-firmware-tools/main/1.4/+download/%{name}-%{version}.tar.gz
# Source0-md5:	9bb964677e722a93dd57e268366556b1
URL:		http://bersace03.free.fr/ift/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgcrypt-devel
BuildRequires:	rpmbuild(macros) >= 1.228
%if "%{pld_release}" == "ti"
Requires:	udev-core >= 1:124-3
%else
Requires:	udev-core >= 1:127
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project provide tools to manipulate firmware for Built-in iSight
found on Apple machine since iMac G5 iSight.

%prep
%setup -q
%{__sed} -i -e 's#@udevdir@#/lib/udev#g' src/isight.rules.in.in

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libudevdir=/lib/udev

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
NOTE:
In order to get a working Built-in iSight camera
you need to copy the iSight Firmware from your Mac OS X.
It is usually the file /System/Library/Extensions/IOUSBFamily.kext/Contents/PlugIns/AppleUSBVideoSupport.kext/Contents/MacOS/AppleUSBVideoSupport

EOF
fi

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc README HOWTO AUTHORS ABOUT-NLS
%attr(755,root,root) %{_bindir}/ift-*
%attr(755,root,root) /lib/udev/ift-load
/etc/udev/rules.d/isight.rules
%{_infodir}/ift-export.info.gz
%{_infodir}/ift-extract.info.gz
%{_mandir}/man1/ift-export.1*
%{_mandir}/man1/ift-extract.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: isight-firmware-tools.spec,v $
Revision 1.9  2009/07/20 15:29:07  shadzik
- 1.4.2

Revision 1.8  2009/02/10 21:29:01  hawk
- udev > 124 is too unstable for Titanium

Revision 1.7  2009/02/05 00:02:56  hawk
- udev scripts always in /lib/udev now (R: udev >= 127)

Revision 1.6  2009/02/04 13:18:35  hawk
- release 4

Revision 1.5  2009/01/27 22:20:44  hawk
- release 3

Revision 1.4  2008/11/01 19:58:40  shadzik
- kill R: kernel-misc-uvc
- rel 2

Revision 1.3  2008/03/13 18:01:47  shadzik
- fixed 32/64bit lib location issues (thx glen for pointing this out)

Revision 1.2  2008-03-13 16:54:46  shadzik
- add patch1

Revision 1.1  2008-03-13 16:28:55  shadzik
- initial

